Skip to content

List matches (v1)

GET/v1/matches

GET
/v1/matches
curl --request GET \
--url 'https://api.ligr.live/rest/v1/matches?sport=football&finishedStatus=finished&order=ASC&providerName=RB&limit=50&offset=0' \
--header 'Authorization: Bearer <token>'

Return a list of matches for the organization. Tennis matches are excluded from the v1 endpoint. Filter by sport, team, venue, competition, or finished status. Accepts the include query parameter with code s.

sport
string
Allowed values: football rugbyUnion rugbyLeague netball cricket futsal iceHockey fieldHockey waterPolo handBall lacrosse touchFootball ausRules basketball rugbySevens gridiron volleyball baseball tennis

Filter by sport

teamId

Entity identifier

integer format: int32
>= 1

Filter by team

venueId

Entity identifier

integer format: int32
>= 1
competitionId

Entity identifier

integer format: int32
>= 1

Filter by competition

finishedStatus
string
Allowed values: finished pregame cancelled inProgress abandoned retirement finishedEarly

Filter by finished status (a match will remain in pregame by default)

order
string
default: ASC
Allowed values: ASC DESC

Date order

startDate
string format: date-time

Start of search range

endDate
string format: date-time

End of search result range (starting point if order = DESC)

include

Comma seperated string of entity abbreviations Allows optional population of nested entities s = streams e.g. ‘c,v,t,o,p,cp’

string
providerName
string
Allowed values: RB OPTA_CRICKET OPTA_FOOTBALL OPTA_RUGBY_UNION STATSLLC GENIUS_BASKETBALL GENIUS_GRIDIRON GENIUS_VOLLEYBALL GENIUS_FOOTBALL GENIUS_ICE_HOCKEY PIXELLOT CLOUDMIX CHAMPION ligr-live-score MLB IMG_FOOTBALL CRIONET_TENNIS SPORT_RADAR_FOOTBALL

Only return entities from this data provider

providerIds
string

Only return entities with these ids at the data provider. A comma-separated list of up to 100 ids. Needs providerName.

limit
number format: double
default: 50

Limit the maximum number of matches to be returned

offset
number format: double
0

Start search from initial offset

Ok

Media typeapplication/json
object
matches
required
Array<object>
object
id
required

Entity identifier

integer format: int32
>= 1
name
required

Match name

string
>= 5 characters <= 42 characters
date
required
string format: date-time
competitionId
required

Entity identifier

integer format: int32
>= 1
sport
required
string
Allowed values: football rugbyUnion rugbyLeague netball cricket futsal iceHockey fieldHockey waterPolo handBall lacrosse touchFootball ausRules basketball rugbySevens gridiron volleyball baseball tennis
liveStatus
required

The liveStatus of the match as defined by the period

string
Allowed values: live break
finishedStatus
required
string
Allowed values: finished pregame cancelled inProgress abandoned retirement finishedEarly
venueId
required

Entity identifier

integer format: int32
>= 1
dataProvider
object
name
required
string
Allowed values: RB OPTA_CRICKET OPTA_FOOTBALL OPTA_RUGBY_UNION STATSLLC GENIUS_BASKETBALL GENIUS_GRIDIRON GENIUS_VOLLEYBALL GENIUS_FOOTBALL GENIUS_ICE_HOCKEY PIXELLOT CLOUDMIX CHAMPION ligr-live-score MLB IMG_FOOTBALL CRIONET_TENNIS SPORT_RADAR_FOOTBALL
id
required
string
homeTeamId

Entity identifier

integer format: int32
>= 1
awayTeamId

Entity identifier

integer format: int32
>= 1
streams
Array<object>
object
id
required

Entity identifier

integer format: int32
>= 1
name
required
string
destinations
required
Array<object>
object
id
required

Entity identifier

integer format: int32
>= 1
name
required
string
type
required
string
Allowed values: youtube facebook twitter linkedin tiktok twitch custom perform genius img igame fifa+ infront
url
required
string
key
required
string
idleImageUrl
string
total
required
integer format: int32
returned
required
integer format: int32
Example
{
"matches": [
{
"sport": "football",
"liveStatus": "live",
"finishedStatus": "finished",
"dataProvider": {
"name": "RB"
},
"streams": [
{
"destinations": [
{
"type": "youtube"
}
]
}
]
}
],
"total": 24,
"returned": 24
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Match not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}